/*
 * @Author: zc
 * @description 数据统计-部门统计
 */
import request from '@/utils/request';
/**
 * @description 部门延期统计
 * @param {object} params
 */
export const departmentDelay = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/order-delay-data-list`,
    method: 'get',
    params,
  });
};
/**
 * @description 部门延期统计明细
 * @param {object} params
 */
export const departmentDelayDetail = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/order-delay-data-detail`,
    method: 'get',
    params,
  });
};
/**
 * @description 部门受理类型统计周期
 * @param {object} params
 */
export const departmentAcceptType = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/department_acceptance_type_statistics`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门超期统计
 * @param {object} params
 */
export const departmentOverdue = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/org_data_list`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门超期统计明细
 * @param {object} params
 */
export const departmentOverdueDetail = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/org_data_list_detail`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门满意度统计
 * @param {object} params
 */
export const departmentSatisfaction = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/visit-org-satisfaction-statistics`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门满意度统计明细
 * @param {object} params
 */
export const departmentSatisfactionDetail = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/visit-org-satisfaction-detail`,
    method: 'get',
    params,
  });
}
/**
 * @description 子部门满意度统计明细
 * @param {object} params
 */
export const departmentSatisfactionOrg = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/visit-org-statisfaction-org-detail`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门办件统计表
 * @param {object} params
 */
export const departmentOrder = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/departmental_processing_statistics`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门办件统计表明细
 * @param {object} params
 */
export const departmentOrderDetail = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/departmental_processing_statistics_list`,
    method: 'get',
    params,
  });
}
/**
 * @description 部门办件统计表子级部门
 * @param {object} params
 */
export const departmentOrderOrg = (params: object) => {
  return request({
    url: `/api/v1/BiOrder/departmental_processing_child_statistics`,
    method: 'get',
    params,
  });
}